aboutsummaryrefslogtreecommitdiffstats
path: root/package/base-files/au1000-2.6
diff options
context:
space:
mode:
Diffstat (limited to 'package/base-files/au1000-2.6')
-rw-r--r--package/base-files/au1000-2.6/etc/config/network12
-rwxr-xr-xpackage/base-files/au1000-2.6/sbin/mount_root23
2 files changed, 35 insertions, 0 deletions
diff --git a/package/base-files/au1000-2.6/etc/config/network b/package/base-files/au1000-2.6/etc/config/network
new file mode 100644
index 0000000000..2cc9e26717
--- /dev/null
+++ b/package/base-files/au1000-2.6/etc/config/network
@@ -0,0 +1,12 @@
+# Network configuration file
+
+## LAN configuration
+lan_ifname="br0"
+lan_ifnames="eth0 ath0"
+lan_proto="static"
+lan_ipaddr="192.168.1.1"
+lan_netmask="255.255.255.0"
+
+## WAN configuration
+wan_ifname=""
+wan_proto="none"
diff --git a/package/base-files/au1000-2.6/sbin/mount_root b/package/base-files/au1000-2.6/sbin/mount_root
new file mode 100755
index 0000000000..5dd1b0c562
--- /dev/null
+++ b/package/base-files/au1000-2.6/sbin/mount_root
@@ -0,0 +1,23 @@
+#!/bin/sh
+size=$(awk '/Mem:/ {l=5242880;print((s=$2/2)<l)?$2-l:s}' /proc/meminfo)
+mount none /tmp -t tmpfs -o size=$size
+
+if [ "$1" != "failsafe" ]; then
+ mtd unlock filesystem
+ mount | grep jffs2 >&-
+ if [ $? = 0 ] ; then
+ if [ $(cat /proc/mtd | wc -l) = 6 ]; then
+ mtd erase filesystem
+ jffs2root --move
+ else
+ mount -o remount,rw /dev/root /
+ fi
+ else
+ . /bin/firstboot
+ fi
+fi
+
+mount none /tmp -t tmpfs -o remount,nosuid,nodev,mode=1777
+mkdir -p /dev/pts
+mount none /dev/pts -t devpts
+mount -t sysfs none /sys 2>&-